UPDATE x11/py-qt5-5.9.2

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

UPDATE x11/py-qt5-5.9.2

Björn Ketelaars
Enclosed diff brings py-qt5 to 5.9.2, which is a small step forward.
Moving past the 5.9 branch is an endeavour by itself, and will take a
bit of effort.

Tested on amd64 in combination with an update of py-sip (send in
separate mail):
- Build tested:
  devel/git-cola
  geo/qgis
  math/veusz
  textproc/calibre
  www/weboob
- Run tested:
  devel/git-cola
  devel/spyder/spyder
  geo/qgis
  math/veusz
  shells/py-qtconsole
  textproc/calibre
  www/weboob (weboob-config-qt)

Comments/OK?


diff --git Makefile Makefile
index 376011907ca..325785b9e82 100644
--- Makefile
+++ Makefile
@@ -2,14 +2,13 @@
 
 COMMENT = python Qt5 bindings
 
-V= 5.9
+V= 5.9.2
 DISTNAME= PyQt5_gpl-${V}
 PKGNAME= py-qt5-${V}
-REVISION= 6
 
 CATEGORIES= x11 devel
 
-HOMEPAGE= http://www.riverbankcomputing.co.uk/software/pyqt/intro
+HOMEPAGE= https://www.riverbankcomputing.com/software/pyqt/intro
 MAINTAINER= KDE porting team <[hidden email]>
 
 # GPLv3 with exceptions for use with certain named open-source licenses
diff --git distinfo distinfo
index 335109979cb..e9a91d11b98 100644
--- distinfo
+++ distinfo
@@ -1,2 +1,2 @@
-SHA256 (PyQt5_gpl-5.9.tar.gz) = qw55mc8gLMcpYseK7+Rh0WSXs8GoKCq5Zq2QtssnEJY=
-SIZE (PyQt5_gpl-5.9.tar.gz) = 3097557
+SHA256 (PyQt5_gpl-5.9.2.tar.gz) = wZDaxZjJewETyl56N8ccYj8C0dcTCIrd+srErPpLg5Q=
+SIZE (PyQt5_gpl-5.9.2.tar.gz) = 3102848
diff --git patches/patch-configure_py patches/patch-configure_py
index 6f98c7b8802..b7896e1298b 100644
--- patches/patch-configure_py
+++ patches/patch-configure_py
@@ -1,7 +1,8 @@
 $OpenBSD: patch-configure_py,v 1.2 2016/08/30 16:02:17 landry Exp $
---- configure.py.orig Mon Jul 25 15:55:28 2016
-+++ configure.py Tue Aug  9 07:49:53 2016
-@@ -1984,7 +1984,18 @@ def run_command(cmd, verbose):
+Index: configure.py
+--- configure.py.orig
++++ configure.py
+@@ -1991,7 +1991,18 @@ def run_command(cmd, verbose):
      """ Run a command and display the output if requested.  cmd is the command
      to run.  verbose is set if the output is to be displayed.
      """
@@ -20,7 +21,7 @@ $OpenBSD: patch-configure_py,v 1.2 2016/08/30 16:02:17 landry Exp $
      if verbose:
          sys.stdout.write(cmd + "\n")
 
-@@ -2689,7 +2700,7 @@ Type 'no' to decline the terms of the license.
+@@ -2733,7 +2744,7 @@ Type 'no' to decline the terms of the license.
              sys.stdout.flush()
 
              try:
diff --git pkg/PLIST pkg/PLIST
index da52f2ccbd4..d12521fc0f5 100644
--- pkg/PLIST
+++ pkg/PLIST
@@ -167,6 +167,10 @@ share/sip/PyQt5${MODPY_BIN_SUFFIX}/QAxContainer/QAxContainermod.sip
 share/sip/PyQt5${MODPY_BIN_SUFFIX}/QAxContainer/qaxbase.sip
 share/sip/PyQt5${MODPY_BIN_SUFFIX}/QAxContainer/qaxobject.sip
 share/sip/PyQt5${MODPY_BIN_SUFFIX}/QAxContainer/qaxwidget.sip
+share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtAndroidExtras/
+share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtAndroidExtras/QtAndroidExtrasmod.sip
+share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtAndroidExtras/qandroidjniobject.sip
+share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtAndroidExtras/qtandroid.sip
 share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtBluetooth/
 share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtBluetooth/QtBluetoothmod.sip
 share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtBluetooth/qbluetooth.sip

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE x11/py-qt5-5.9.2

Rafael Sadowski
On Wed Feb 12, 2020 at 12:17:03PM +0100, Björn Ketelaars wrote:

> Enclosed diff brings py-qt5 to 5.9.2, which is a small step forward.
> Moving past the 5.9 branch is an endeavour by itself, and will take a
> bit of effort.
>
> Tested on amd64 in combination with an update of py-sip (send in
> separate mail):
> - Build tested:
>   devel/git-cola
>   geo/qgis
>   math/veusz
>   textproc/calibre
>   www/weboob
> - Run tested:
>   devel/git-cola
>   devel/spyder/spyder
>   geo/qgis
>   math/veusz
>   shells/py-qtconsole
>   textproc/calibre
>   www/weboob (weboob-config-qt)
>
> Comments/OK?

No objection, 5.13+ is for post 6.7.

>
>
> diff --git Makefile Makefile
> index 376011907ca..325785b9e82 100644
> --- Makefile
> +++ Makefile
> @@ -2,14 +2,13 @@
>  
>  COMMENT = python Qt5 bindings
>  
> -V= 5.9
> +V= 5.9.2
>  DISTNAME= PyQt5_gpl-${V}
>  PKGNAME= py-qt5-${V}
> -REVISION= 6
>  
>  CATEGORIES= x11 devel
>  
> -HOMEPAGE= http://www.riverbankcomputing.co.uk/software/pyqt/intro
> +HOMEPAGE= https://www.riverbankcomputing.com/software/pyqt/intro
>  MAINTAINER= KDE porting team <[hidden email]>
>  
>  # GPLv3 with exceptions for use with certain named open-source licenses
> diff --git distinfo distinfo
> index 335109979cb..e9a91d11b98 100644
> --- distinfo
> +++ distinfo
> @@ -1,2 +1,2 @@
> -SHA256 (PyQt5_gpl-5.9.tar.gz) = qw55mc8gLMcpYseK7+Rh0WSXs8GoKCq5Zq2QtssnEJY=
> -SIZE (PyQt5_gpl-5.9.tar.gz) = 3097557
> +SHA256 (PyQt5_gpl-5.9.2.tar.gz) = wZDaxZjJewETyl56N8ccYj8C0dcTCIrd+srErPpLg5Q=
> +SIZE (PyQt5_gpl-5.9.2.tar.gz) = 3102848
> diff --git patches/patch-configure_py patches/patch-configure_py
> index 6f98c7b8802..b7896e1298b 100644
> --- patches/patch-configure_py
> +++ patches/patch-configure_py
> @@ -1,7 +1,8 @@
>  $OpenBSD: patch-configure_py,v 1.2 2016/08/30 16:02:17 landry Exp $
> ---- configure.py.orig Mon Jul 25 15:55:28 2016
> -+++ configure.py Tue Aug  9 07:49:53 2016
> -@@ -1984,7 +1984,18 @@ def run_command(cmd, verbose):
> +Index: configure.py
> +--- configure.py.orig
> ++++ configure.py
> +@@ -1991,7 +1991,18 @@ def run_command(cmd, verbose):
>       """ Run a command and display the output if requested.  cmd is the command
>       to run.  verbose is set if the output is to be displayed.
>       """
> @@ -20,7 +21,7 @@ $OpenBSD: patch-configure_py,v 1.2 2016/08/30 16:02:17 landry Exp $
>       if verbose:
>           sys.stdout.write(cmd + "\n")
>  
> -@@ -2689,7 +2700,7 @@ Type 'no' to decline the terms of the license.
> +@@ -2733,7 +2744,7 @@ Type 'no' to decline the terms of the license.
>               sys.stdout.flush()
>  
>               try:
> diff --git pkg/PLIST pkg/PLIST
> index da52f2ccbd4..d12521fc0f5 100644
> --- pkg/PLIST
> +++ pkg/PLIST
> @@ -167,6 +167,10 @@ share/sip/PyQt5${MODPY_BIN_SUFFIX}/QAxContainer/QAxContainermod.sip
>  share/sip/PyQt5${MODPY_BIN_SUFFIX}/QAxContainer/qaxbase.sip
>  share/sip/PyQt5${MODPY_BIN_SUFFIX}/QAxContainer/qaxobject.sip
>  share/sip/PyQt5${MODPY_BIN_SUFFIX}/QAxContainer/qaxwidget.sip
> +share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtAndroidExtras/
> +share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtAndroidExtras/QtAndroidExtrasmod.sip
> +share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtAndroidExtras/qandroidjniobject.sip
> +share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtAndroidExtras/qtandroid.sip
>  share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtBluetooth/
>  share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtBluetooth/QtBluetoothmod.sip
>  share/sip/PyQt5${MODPY_BIN_SUFFIX}/QtBluetooth/qbluetooth.sip
>